Page MenuHomePhabricator

Add images.metmuseum.org domain to $wgCopyUploadsDomains
Closed, ResolvedPublic

Description

Please add the following domain to the wgCopyUploadsDomains whitelist, so that I can use GWToolset to upload media files from that domain. I have provided at least 3 example URLs to media files that will be uploaded with GWToolset.

metmuseum.org

http://images.metmuseum.org/CRDImages/aa/original/36.120.79_002may2014.jpg
http://images.metmuseum.org/CRDImages/aa/original/DT3916.jpg
http://images.metmuseum.org/CRDImages/aa/original/DT3917.jpg

Event Timeline

Pharos created this task.Jan 31 2017, 10:01 PM
Restricted Application added subscribers: Bawolff, Aklapper. · View Herald TranscriptJan 31 2017, 10:01 PM
Fae awarded a token.Jan 31 2017, 11:09 PM
Fae added a subscriber: Fae.Jan 31 2017, 11:11 PM
Aklapper renamed this task from Add domain to $wgCopyUploadsDomains to Add images.metmuseum.org domain to $wgCopyUploadsDomains.Feb 1 2017, 2:08 PM
Dereckson added a subscriber: Dereckson.EditedFeb 1 2017, 6:38 PM

Tidy the documentation

@Pharos Could you clarify the documentation you followed? Would be nice if you edit it and note there the URLs we need is the URL to the *description* pages, not deep links. The goal of the URLs is to get check the metadata quality and the clarity of the licensing status.

Licensing status

On http://www.metmuseum.org/art/collection/search/24960 I see an OASC link, explained here: “Images associated with these artworks can be downloaded for license- and cost-free scholarly and academic publication, according to the Terms and Conditions”.

This restriction is not compatible with Wikimedia Commons.

So you convinced the museum to relicense them?

@Fae and @MichaelMaggs a clarification of your token would be appreciated to know what you support: the idea to upload MET files or to ignore licensing concerns?

Fae added a comment.Feb 1 2017, 8:39 PM

As Pharos and his folks are working to a deadline, I heartily endorse white-listing the site. This is no-risk as Pharos can ensure that test runs prove to everyone's confidence that licensing has been addressed and that the metadata is nicely handled, including credit templates and links to the license evidence, even if that requires an OTRS ticket.

Pharos added a comment.Feb 1 2017, 9:50 PM

The Met museum would like to test a GWT collection upload on Beta Commons. Licensing will be clarified later this week, before upload to Wikimedia Commons.

We can I think approve the test uploads to Beta straight away, on the understanding that of course a suitable Commons-compatible licence will need to be chosen for the actual Commons uploads.

We clarified the status on IRC Pharos and me and I concur, we'll sync the config change this evening and clarify the licensing later.

Change 335578 had a related patch set uploaded (by Dereckson):
Add images.metmuseum.org to wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/335578

Change 335578 merged by jenkins-bot:
Add images.metmuseum.org to wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/335578

Dereckson closed this task as Resolved.Feb 2 2017, 1:06 AM

@Pharos the domain has been whitelisted. You can upload to Commons Beta so.